Bug 518152 - Cannot switch to virtual terminals
Summary: Cannot switch to virtual terminals
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: xkeyboard-config
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-19 07:28 UTC by Christoph Wickert
Modified: 2018-04-11 10:35 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-05 19:25:17 UTC


Attachments (Terms of Use)
xkbcomp -xkb :0 - (56.80 KB, text/plain)
2009-08-19 07:28 UTC, Christoph Wickert
no flags Details

Description Christoph Wickert 2009-08-19 07:28:15 UTC
Created attachment 357897 [details]
xkbcomp -xkb :0 -

Description of problem:
A recent update broke the keyboard shortcuts CTRL+ALT+F1 - F7, so I can no longer switch from Gnome to one of the virtual terminals.

Version-Release number of selected component (if applicable):
control-center-2.26.0-10.fc11.x86_64

How reproducible:
always

Steps to Reproduce:
1. install Fedora 11
2. try to switch to vt - works
3. update to latest updates
  
Actual results:
CTRL+ALT+F1 - F7 no longer work.

Expected results:
CTRL+ALT+F1 - F7 should let me switch to a virtual terminal. Other combinations of CTRL+ALT+... work fine.

Additional info:
Works fine in Xfce and LXDE, so it must be a Gnome problem. Not sure if control-center is the right component though, because I don't recall an update. But as gnome-keybinding-properties is part of controlc-center, I chose this one.

$ locale
LANG=de_DE.UTF-8
LC_CTYPE="de_DE.UTF-8"
LC_NUMERIC="de_DE.UTF-8"
LC_TIME="de_DE.UTF-8"
LC_COLLATE="de_DE.UTF-8"
LC_MONETARY="de_DE.UTF-8"
LC_MESSAGES="de_DE.UTF-8"
LC_PAPER="de_DE.UTF-8"
LC_NAME="de_DE.UTF-8"
LC_ADDRESS="de_DE.UTF-8"
LC_TELEPHONE="de_DE.UTF-8"
LC_MEASUREMENT="de_DE.UTF-8"
LC_IDENTIFICATION="de_DE.UTF-8"
LC_ALL=

Comment 1 Christoph Wickert 2009-08-19 11:04:06 UTC
Bastien, are you sure this is xkeyboard-config? If so, why is only Gnome affected?

Comment 3 Matěj Cepl 2009-11-05 18:36:33 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 4 Christoph Wickert 2009-11-05 19:25:17 UTC
I can still reproduce this bug, but only for a single user. All other accounts are fine, so I guess I hosed my config and close this bug now.


Note You need to log in before you can comment on or make changes to this bug.